Get all financial commitment reports
curl --request GET \
--url https://api.vantage.sh/v2/financial_commitment_reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/financial_commitment_reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/financial_commitment_reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.vantage.sh/v2/financial_commitment_reports",
"first": "https://api.vantage.sh/v2/financial_commitment_reports?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/financial_commitment_reports?page=1",
"prev": null
},
"financial_commitment_reports": [
{
"token": "fncl_cmnt_rprt_28bc840bf137769c",
"title": "All Financial Commitments",
"default": false,
"created_at": "2025-01-27T21:42:06Z",
"workspace_token": "wrkspc_f8d8bd5e493a734c",
"user_token": null,
"start_date": "2024-10-01",
"end_date": "2025-01-25",
"date_interval": "last_3_months",
"date_bucket": "month",
"groupings": "cost_type",
"on_demand_costs_scope": "discountable",
"filter": "(financial_commitments.provider = 'aws')"
}
]
}FinancialCommitmentReports
Get all financial commitment reports
Return all FinancialCommitmentReports.
GET
/
financial_commitment_reports
Get all financial commitment reports
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The page of results to return.
The amount of results to return. The maximum is 1000.
⌘I